<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ActsAsSpare" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ActsAsSpare">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Group" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_IsSpare.Dependent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The SpareGroup.</cim:Qualifier>
<cim:Classorigin name="CIM_ActsAsSpare"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Spare" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_IsSpare.Antecedent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">A ManagedSystemElement acting as a spare and participating in the SpareGroup.</cim:Qualifier>
<cim:Classorigin name="CIM_ActsAsSpare"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="HotStandby" nillable="true" type="cim:cimBoolean">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_IsSpare.SpareStatus</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">HotStandby is a boolean indicating that the spare is operating as a hot standby.</cim:Qualifier>
<cim:Classorigin name="CIM_ActsAsSpare"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_ActsAsSpare" type="class:CIM_ActsAsSpare_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_ActsAsSpare"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_IsSpare</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.8.1000</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Core::Redundancy</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The ActsAsSpare association indicates which elements can spare or replace the other aggregated elements. The fact that a spare can operate in "hot standby" mode is specified on an element by element basis. 
The use of this class is being deprecated in lieu of using the IsSpare relationship.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_ActsAsSpare_Type">
<xs:sequence>
<xs:element ref="class:Group"/>
<xs:element minOccurs="0" ref="class:HotStandby"/>
<xs:element ref="class:Spare"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
